function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 30);

T(1) = params(14)/100;
T(2) = (1+params(13)/100)/(1+params(15)/100)/(1+T(1))^(-params(6));
T(3) = (1+T(1))^(-params(6))*T(2);
T(4) = 1.01^(1-params(6))-1;
T(5) = (1+T(1))^(1-params(6));
T(6) = T(2)*T(5);
T(7) = y(4)-y(4)*params(7)/(1+T(1));
T(8) = T(7)^(1-params(6))/(1-params(6));
T(9) = exp((params(6)-1)*y(5)^(1+params(29))/(1+params(29)));
T(10) = y(8)^2;
T(11) = y(11)*T(3)*y(17)*T(10);
T(12) = y(5)^params(29);
T(13) = 1/(1-1/params(5));
T(14) = y(20)^params(5);
T(15) = y(19)^(params(5)*params(12));
T(16) = T(14)/T(15);
T(17) = y(19)^(params(12)*(params(5)-1));
T(18) = y(19)^params(12);
T(19) = T(18)/y(20);
T(20) = (y(23)*y(29))^params(2);
T(21) = y(6)/(1+T(1));
T(22) = T(21)^(1-params(2));
T(23) = 1/(1-1/params(4));
T(24) = T(23)*y(33);
T(25) = y(19)^params(4);
T(26) = y(19)^(params(4)*params(11));
T(27) = T(25)/T(26);
T(28) = y(19)^(params(4)-1);
T(29) = y(19)^(params(11)*(params(4)-1));
T(30) = y(19)^params(11);

end
